# eric4.Preferences.ConfigurationPages.ProjectBrowserPage

Module implementing the Project Browser configuration page.

### Global Attributes

None

### Classes

ProjectBrowserPage | Class implementing the Project Browser configuration page.

### Functions

create | Module function to create the configuration page.

## ProjectBrowserPage

Class implementing the Project Browser configuration page.

### Derived from

ConfigurationPageBase, Ui_ProjectBrowserPage

### Class Attributes

None

### Class Methods

None

### Methods

ProjectBrowserPage | Constructor
__setProjectBrowsersCheckBoxes | Private method to set the checkboxes according to the selected project type.
__storeProjectBrowserFlags | Private method to store the flags for the selected project type.
on_pbHighlightedButton_clicked | Private slot to set the colour for highlighted entries of the project others browser.
on_projectTypeCombo_activated | Private slot to set the browser checkboxes according to the selected project type.
save | Public slot to save the Project Browser configuration.

### Static Methods

None

#### ProjectBrowserPage (Constructor)

ProjectBrowserPage()

Constructor

#### ProjectBrowserPage.__setProjectBrowsersCheckBoxes

__setProjectBrowsersCheckBoxes(projectType)

Private method to set the checkboxes according to the selected project type.

projectType
  type of the selected project (QString)

#### ProjectBrowserPage.__storeProjectBrowserFlags

__storeProjectBrowserFlags(projectType)

Private method to store the flags for the selected project type.

projectType
  type of the selected project (QString)

#### ProjectBrowserPage.on_pbHighlightedButton_clicked

on_pbHighlightedButton_clicked()

Private slot to set the colour for highlighted entries of the project others browser.

#### ProjectBrowserPage.on_projectTypeCombo_activated

on_projectTypeCombo_activated(index)

Private slot to set the browser checkboxes according to the selected project type.

index
  index of the selected project type (integer)

#### ProjectBrowserPage.save

save()

Public slot to save the Project Browser configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up